using System;

namespace drugiKrugPrvi
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = Convert.ToInt32(input[0]);
            int k = Convert.ToInt32(input[1]);

            input = Console.ReadLine().Split();

            for (int i = 0; i < n; i++)
            {
                if (input[i] == k.ToString()) {
                    if (i == n - 1) { Console.WriteLine(input[0]); }
                    else Console.WriteLine(input[i + 1]);
                }
            }
        }
    }
}